import * as React from "react";
import { Pie } from "react-chartjs-2";
import { Chart, ArcElement, Title } from 'chart.js';
import APIService from '../../APIService';

import '../../styles/resume.css';

Chart.register(ArcElement);
Chart.register(Title);


export default function PieChart() {
  const [transactions, setTransactions] = React.useState([]);
  React.useEffect(() => {
    apiService.list().then(transactions => setTransactions(transactions))
  }, [])
  let values = [0, 0, 0, 0, 0, 0, 0, 0, 0];
  let apiService = new APIService();
  let myLabels: string[] = [
    "restaurant",
    "bar",
    "stores",
    "groceries",
    "sport",
    "restaurant",
    "transport",
    "other",
    "subscription",
    "education"
  ];

  transactions.forEach((x, i) => {  
    const category: string = x.category;
    const id: number = myLabels.indexOf(category);
    values[id] += x.amount;
  })

  const data = {
    labels: myLabels,
    datasets: [{
      label: 'Montant',
      data: values,
      backgroundColor: [
        'rgb(255, 99, 132)',
        'rgb(255, 99, 4)',
        'rgb(54, 162, 235)',
        'rgb(199, 58, 58)',
        'rgb(51, 255, 255)',
        'rgb(81, 255, 128)',
        'rgb(242, 211, 8)',
        'rgb(242, 133, 8)',
        'rgb(22, 133, 8)',
      ],
      hoverOffset: 4
    }],
    options: {
      responsive: false,
    }
  }

  return <div className="horizontal">
    <h2>Camembert des dépenses totales</h2>
    <Pie data={data}/>
  </div>;
}