<?php

namespace App\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;
use App\Service\SummaryService;
use Symfony\Component\Security\Http\Attribute\IsGranted;

#[IsGranted('ROLE_USER')]
class SummaryController extends AbstractController
{
    #[Route('/summary', name: 'app_summary')]
    public function index(
        SummaryService $summaryService,
    ): Response
    {
        $transactions = $summaryService->getAllTransactions();
        return $this->render('summary/index.html.twig', [
            'controller_name' => 'SummaryController',
            'transactions' => $transactions
        ]);
    }
}